The SML of NJ Library
The `HashTableFn` functor

The `HashTableFn` functor provides an implementation of the `MONO_HASH_TABLE` signature parameterized over the key type.

The tables are implemented as an array of buckets, which are lists of key-value pairs. The number of buckets grows with the number of table entries.

## Synopsis

    functor HashTableFn (Key : HASH_KEY) : MONO_HASH_TABLE

## See Also

`HASH_KEY`, `HashTable`, `MONO_HASH_TABLE`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC